* {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  background: #0c0e10;
  color: #beb3af;
  font-family: "Open Sans", sans-serif;
  font-optical-sizing: auto;
  text-rendering: optimizeLegibility;
  font-feature-settings: "kern" 1;
  font-kerning: normal;
  font-size: 18px;
}

a {
  color: #e2e2e2;
  transition: all 0.2s;
}
a.subtle {
  color: inherit;
}
a:hover {
  color: #fff;
}

p.subtle,
small.subtle {
  opacity: 0.7;
  font-size: 0.9rem;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: #fff;
  font-weight: 700;
  line-height: 1;
  margin-top: 0;
}

::-moz-selection,
::selection {
  background: #131725;
  color: #fff;
}

.container {
  width: 100%;
  max-width: 1920px;
  margin: 0 auto;
}

.container-narrow {
  width: 100%;
  max-width: 1440px;
  margin: 0 auto;
}

.btn,
button {
  display: inline-block;
  border-radius: 0;
  padding: 0.5rem 1rem;
  text-decoration: none;
  user-select: none;
  border: 1px solid rgba(0, 0, 0, 0.6);
  background: linear-gradient(rgb(40, 52, 64), rgb(27, 36, 44));
  color: #ececec;
  cursor: pointer;
  transition: all 0.2s;
  font-size: 1.25rem;
  line-height: normal;
  outline: none;
  position: relative;
  overflow: hidden;
}
.btn.shine::after,
button.shine::after {
  content: "";
  position: absolute;
  height: 4rem;
  width: 200%;
  top: -50%;
  left: -200%;
  transition: all 0.3s cubic-bezier(0, 0, 0.2, 1);
  transform: rotate(-70deg);
  background-image: linear-gradient(rgba(255, 255, 255, 0), rgba(255, 255, 255, 0.4), rgba(255, 255, 255, 0));
}
.btn:hover,
button:hover {
  color: #fff;
  background: radial-gradient(at 50% 100%, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0)), linear-gradient(rgb(40, 52, 64), rgb(27, 36, 44));
}
.btn:hover.shine::after,
button:hover.shine::after {
  left: 100%;
}

.btn-alt {
  display: inline-block;
  border-radius: 0;
  padding: 0.5rem 1rem;
  text-decoration: none;
  user-select: none;
  font-size: 1.25rem;
}

.btn-action {
  /*background: #c6bda0;
  color: #000;*/
  text-transform: uppercase;
}
.btn-action::after {
  content: none;
  display: none;
}
.btn-action {
  /*&:hover {
      background: #ffc813;
      color: #000;
  }*/
}

.btn-discord {
  color: #fff;
  background: #5865f2;
  box-shadow: 0 3px 0 #4853c5;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  border: none;
}
.btn-discord:hover {
  color: #fff;
  background: #4e5ad4;
  box-shadow: 0 3px 0 #3a43a1;
}

.text-center {
  text-align: center;
}

.bold {
  font-weight: bold;
}

.dark-light {
  color: #454d55;
}
.dark-light span {
  color: #f1f1f1;
}

.golden {
  color: transparent;
  background-clip: text;
  background-image: linear-gradient(#e1c285, #5b4735);
  padding-bottom: 5px;
}

@keyframes pop-in {
  0% {
    opacity: 0;
    transform: scale(0.3) translateY(150px);
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}
.alert-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.alert-container:empty {
  display: none;
}

.alert {
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid rgba(255, 255, 255, 0.1);
  padding: 0.75rem 1rem;
  background: rgba(192, 199, 216, 0.2);
  backdrop-filter: blur(12px);
  box-shadow: 0 0 4px #000;
  animation: 0.2s linear 0s pop-in;
}
.alert p {
  margin: 0;
}
.alert::before {
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  font-style: normal;
  font-variant: normal;
  font-size: 1.5rem;
  line-height: 1;
  text-rendering: auto;
  margin-right: 1rem;
}
.alert.error {
  color: #ebb7b7;
  background: rgba(175, 34, 34, 0.2);
}
.alert.error::before {
  content: "\f071";
}
.alert.success {
  color: #baebb7;
  background: rgba(50, 175, 34, 0.2);
}
.alert.success::before {
  content: "\f00c";
}

.apart {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.rel {
  position: relative;
}

.table-link {
  color: #d0bd98;
  text-decoration: none;
}

.stretched-link::after {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1;
  pointer-events: auto;
  content: "";
  background-color: rgba(0, 0, 0, 0);
}

pre {
  margin: 0;
  padding: 0;
}

.clipboard {
  cursor: pointer;
  position: relative;
}

.clipboard.copied {
  animation: pop 0.3s ease;
}

.clipboard::after {
  content: "Copied to clipboard";
  font-weight: normal;
  position: absolute;
  bottom: -30px;
  left: 50%;
  transform: translateX(-50%);
  font-size: 12px;
  color: #47c04b;
  background: rgba(15, 17, 15, 0.7);
  border: 1px solid rgba(30, 33, 30, 0.6);
  z-index: 1;
  padding: 3px 6px;
  border-radius: 4px;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.2s, transform 0.2s;
}

.clipboard.copied::after {
  opacity: 1;
  transform: translateX(-50%) translateY(-6px);
}

@keyframes pop {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.05);
  }
  100% {
    transform: scale(1);
  }
}
input,
select,
textarea {
  padding: 0.5rem 1rem;
  font-size: 1.25rem;
  color: inherit;
  background: rgb(19, 19, 22);
  border: 1px solid rgba(0, 0, 0, 0.3);
  border-radius: 0;
  outline: none;
  line-height: normal;
}

textarea.wide {
  width: 100%;
  resize: vertical;
}

input[type=number] {
  appearance: textfield;
}

input:disabled {
  cursor: not-allowed;
  opacity: 0.7;
}

::picker(select) {
  color: #000;
}

.check {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  user-select: none;
  cursor: pointer;
}
.check input[type=checkbox] {
  accent-color: #665744;
  width: 1.25rem;
  height: 1.25rem;
  cursor: pointer;
}

.form-field {
  margin-bottom: 1rem;
}
.form-field label {
  display: block;
  font-weight: bold;
  margin-bottom: 0.5rem;
}

header {
  position: fixed;
  /*top: 1rem;*/
  left: 0;
  right: 0;
  z-index: 999;
  /*backdrop-filter: blur(20px);
  background: rgba(44, 34, 33, 0.7);*/
  backdrop-filter: blur(12px);
  background: rgba(10, 15, 20, 0.4);
}

nav {
  display: flex;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
}
nav::after {
  content: "";
  position: absolute;
  bottom: -1px;
  left: 0;
  right: 0;
  height: 1px;
  margin: 0 auto;
  background: linear-gradient(90deg, transparent, rgba(206, 193, 173, 0.3), rgba(206, 193, 173, 0.3), transparent);
}

nav a {
  display: block;
  text-decoration: none;
  font-size: 1.25rem;
  padding: 1rem;
  color: #bababa;
}
nav a i {
  color: #979797;
}
nav a i:first-child {
  margin-right: 0.75rem;
}
nav a i:last-child {
  margin-left: 0.75rem;
}
nav a:hover {
  color: #fff;
}

nav .home {
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 300px;
  height: 100%;
  padding: 0 2rem;
  /*background: #302827;*/
  /*background: linear-gradient(90deg, transparent, rgba(24, 18, 18, .6) 15%, rgba(24, 18, 18, .6) 85%, transparent);*/
  /*background: linear-gradient(90deg, transparent, rgba(62, 62, 62, 0.4) 15%, rgba(62, 62, 62, .4) 85%, transparent);*/
  margin-right: 1rem;
}

.primary-menu {
  display: flex;
  flex: auto;
}

.secondary-menu {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  margin: 0 1rem;
}

.site-logo img {
  height: 70px;
  margin-bottom: -24px;
}

.dropdown-menu-container {
  position: relative;
}

.dropdown-menu {
  position: absolute;
  z-index: 1;
  /*right: 1rem;*/
  left: 0;
  top: 0;
  display: block;
  opacity: 0;
  pointer-events: none;
  box-shadow: 0 0 0.5rem rgba(0, 0, 0, 0.3);
  padding: 0;
  font-weight: 400;
  white-space: nowrap;
  background: #182028;
  clip-path: polygon(20% 0, 80% 0, 100% 0, 0 0);
  transform-origin: center top;
  transition: clip-path 0.15s ease, opacity 0.15s ease;
  /*&::before {
      content: '';
      position: absolute;
      z-index: -1;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background: #2c2221;
      clip-path: polygon(20% 0, 80% 0, 100% 0, 0 0);
      transform-origin: center top;
      transition: clip-path .15s ease;
  }*/
}
.dropdown-menu.show {
  opacity: 1;
  pointer-events: auto;
  clip-path: polygon(0 100%, 100% 100%, 100% 0, 0 0);
  /*&::before {
      clip-path: polygon(0 100%, 100% 100%, 100% 0, 0 0);
  }*/
}
.dropdown-menu a {
  padding: 0.8rem 1.5rem;
}
.dropdown-menu a:hover {
  background: #101418;
}
.dropdown-menu {
  /*.dropdown > a {
      display: flex;
      align-items: center;
      justify-content: space-between;
  }

  .dropdown-menu {
      left: 100%;
      top: -4rem;
  }*/
}

.server-status {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  line-height: 1.3;
}
.server-status .ip {
  font-weight: normal;
}

main {
  padding-top: 6rem;
}
main.landing {
  display: flex;
  align-items: center;
  flex: auto;
}

.homepage-grid {
  display: grid;
  grid-template-columns: 20% 20% 20% 20% 20%;
  grid-template-areas: "a a a a a" "b b b b b" "d e e f f" "d g g g h";
}

.whitelist-grid {
  display: grid;
  grid-template-columns: 40% 60%;
  grid-template-areas: "a b";
}

.ucp-grid {
  display: grid;
  grid-template-columns: 25% 25% 25% 25%;
  grid-template-areas: "a b c d" "a b c e";
}

.box {
  position: relative;
  margin: 0.5rem;
  background: linear-gradient(rgba(20, 25, 30, 0.5), rgba(20, 25, 30, 0));
  box-shadow: 0 0 0.4rem rgba(0, 0, 0, 0.3);
  backdrop-filter: blur(12px);
}
.box::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: -1;
  border: 2px solid rgba(229, 231, 235, 0.02);
}
.box.has-image {
  background-position: center center;
  background-size: cover;
  text-shadow: 1px 1px 3px #000, 0 0 5px #000;
  box-shadow: inset 0px 0px 5px rgba(0, 0, 0, 0.5);
}
.box.has-image::before {
  border: 2px solid rgba(229, 231, 235, 0.04);
}
.box.has-text {
  padding: 0 1.5rem;
}

.split-box {
  display: flex;
}
.split-box > div {
  flex: 1;
}

.grid-link {
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  text-align: center;
  width: 100%;
  height: 100%;
  min-height: 200px;
  font-family: "Poppins", sans-serif;
  font-size: 1.5rem;
}
.grid-link.half {
  min-height: 100px;
}

.spacer {
  display: block;
  margin: 4rem;
}

.divider {
  position: relative;
  margin: 2rem;
  height: 1px;
  background: linear-gradient(90deg, transparent, rgba(206, 193, 173, 0.3), rgba(206, 193, 173, 0.3), transparent);
}

table {
  width: 100%;
  text-align: left;
  border-collapse: collapse;
}

th,
td {
  padding: 6px;
}
th.centered,
td.centered {
  text-align: center;
}

tr {
  /*border-bottom-width: 1px;
  border-bottom-style: solid;
  border-image-source: linear-gradient(90deg, transparent, rgba(206, 193, 173, 0.3), rgba(206, 193, 173, 0.3), transparent);*/
  border-bottom: 1px solid rgba(206, 193, 173, 0.1);
}
tr:has(td):hover {
  background: rgba(0, 0, 0, 0.15);
}

.status-online, .text-success {
  color: #1aa41a;
}

.status-offline, .text-error {
  color: #a03030;
}

.status-idle, .text-warning {
  color: #dca734;
}

.text-dark {
  color: #616161;
}

.donation-buttons {
  display: flex;
  align-items: center;
  gap: 0.2rem;
  width: 100%;
  max-width: 350px;
  margin: 0 auto;
}
.donation-buttons button {
  flex: 1;
}

.donation-amount {
  display: flex;
  width: 100%;
  max-width: 350px;
  margin: 0 auto;
}
.donation-amount .currency {
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgba(20, 25, 30, 0.5);
  border: 1px solid rgba(0, 0, 0, 0.3);
  padding: 0 0.6rem;
}
.donation-amount .currency:first-child {
  border-right: none;
}
.donation-amount .currency:last-child {
  border-left: none;
}
.donation-amount input {
  flex: auto;
  min-width: 0;
}

.donation-container {
  width: 100%;
  max-width: 350px;
  margin: 0 auto;
}

.shards {
  display: inline-flex;
  align-items: center;
  color: transparent;
  text-shadow: 0 0 4px #ffcdcd;
  background-clip: text;
  background-color: #ffcdcd;
  animation: shards-color 3s infinite alternate;
}

.shards-icon {
  width: auto;
  height: 1em;
  margin-left: 4px;
}

@keyframes shards-color {
  0% {
    background-color: #ffebeb;
    text-shadow: 0 0 4px rgba(255, 205, 205, 0.6);
  }
  100% {
    background-color: #ffcdcd;
    text-shadow: 0 0 4px #ffcdcd;
  }
}
.bitmask {
  display: flex;
  align-items: center;
}
.bitmask .bit {
  display: block;
  width: 0.5rem;
  height: 1rem;
  box-sizing: content-box;
  border: 1px solid #111;
  background: rgb(41, 41, 41);
}
.bitmask .bit.active {
  background: rgb(20, 113, 20);
}
.bitmask .bit + .bit {
  border-left: none;
}

.whitelist-actions a {
  margin: 0 0.25rem;
}

footer {
  position: relative;
  margin-top: auto;
  background: linear-gradient(180deg, transparent 20%, rgba(0, 0, 0, 0.8) 100%);
  text-shadow: 1px 1px 2px #000, 1px 1px 5px #000;
}
footer::before {
  content: "";
  position: absolute;
  bottom: 0;
  right: 0;
  left: 0;
  z-index: -2;
  height: 100vh;
  background: url("/assets/img/footer2.png") no-repeat right bottom;
  background-size: 50% auto;
}
footer .container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 2rem;
}
footer a {
  color: #ab9791;
}
footer a:hover {
  color: #887772;
}

footer p {
  margin: 0;
}

footer .copyright {
  font-size: 0.75rem;
}

footer .links {
  font-size: 2rem;
  margin: 0 1rem;
}

.footer-video {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: auto;
  z-index: -3;
  mask-image: linear-gradient(180deg, rgba(0, 0, 0, 0), rgb(0, 0, 0));
}

.ticket-message {
  display: flex;
  padding-top: 1rem;
  margin-top: 1rem;
  border-top: 1px solid rgba(206, 193, 173, 0.2);
}
.ticket-message .author {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  margin-bottom: 0.5rem;
}
.ticket-message .author .name {
  color: #eee;
}
.ticket-message .author .username {
  font-size: 0.75rem;
  opacity: 0.5;
}
.ticket-message .author .date {
  font-size: 0.75rem;
  opacity: 0.5;
}

.discord-avatar {
  width: 52px;
  height: 52px;
  border-radius: 50%;
  margin-right: 1rem;
}

.discord-gif {
  margin: 0.5rem 0;
  max-width: 280px;
  height: auto;
  border: none;
}

.discord-tag {
  padding: 0 2px;
  background: rgba(159, 168, 233, 0.2);
  color: rgb(159, 168, 233);
  border-radius: 3px;
}

.emoji {
  width: 32px;
  height: 32px;
}

.sticker img {
  width: 120px;
  height: auto;
}

.attachments {
  margin: 0.5rem 0;
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.attachment-image {
  max-width: 450px;
  height: auto;
}

.p-0 {
  padding: 0rem;
}

.px-0 {
  padding-left: 0rem;
  padding-right: 0rem;
}

.py-0 {
  padding-top: 0rem;
  padding-bottom: 0rem;
}

.m-0 {
  margin: 0rem;
}

.ml-0 {
  margin-left: 0rem;
}

.mr-0 {
  margin-right: 0rem;
}

.mt-0 {
  margin-top: 0rem;
}

.mb-0 {
  margin-bottom: 0rem;
}

.mx-0 {
  margin-left: 0rem;
  margin-right: 0rem;
}

.my-0 {
  margin-top: 0rem;
  margin-bottom: 0rem;
}

.p-1 {
  padding: 1rem;
}

.px-1 {
  padding-left: 1rem;
  padding-right: 1rem;
}

.py-1 {
  padding-top: 1rem;
  padding-bottom: 1rem;
}

.m-1 {
  margin: 1rem;
}

.ml-1 {
  margin-left: 1rem;
}

.mr-1 {
  margin-right: 1rem;
}

.mt-1 {
  margin-top: 1rem;
}

.mb-1 {
  margin-bottom: 1rem;
}

.mx-1 {
  margin-left: 1rem;
  margin-right: 1rem;
}

.my-1 {
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.p-2 {
  padding: 2rem;
}

.px-2 {
  padding-left: 2rem;
  padding-right: 2rem;
}

.py-2 {
  padding-top: 2rem;
  padding-bottom: 2rem;
}

.m-2 {
  margin: 2rem;
}

.ml-2 {
  margin-left: 2rem;
}

.mr-2 {
  margin-right: 2rem;
}

.mt-2 {
  margin-top: 2rem;
}

.mb-2 {
  margin-bottom: 2rem;
}

.mx-2 {
  margin-left: 2rem;
  margin-right: 2rem;
}

.my-2 {
  margin-top: 2rem;
  margin-bottom: 2rem;
}

.p-3 {
  padding: 3rem;
}

.px-3 {
  padding-left: 3rem;
  padding-right: 3rem;
}

.py-3 {
  padding-top: 3rem;
  padding-bottom: 3rem;
}

.m-3 {
  margin: 3rem;
}

.ml-3 {
  margin-left: 3rem;
}

.mr-3 {
  margin-right: 3rem;
}

.mt-3 {
  margin-top: 3rem;
}

.mb-3 {
  margin-bottom: 3rem;
}

.mx-3 {
  margin-left: 3rem;
  margin-right: 3rem;
}

.my-3 {
  margin-top: 3rem;
  margin-bottom: 3rem;
}
